> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1imagesupload



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/images/upload
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/images/upload:
    post:
      tags:
        - images
      operationId: upload_image
      parameters:
        - name: image_name
          in: path
          description: The name for the new base image
          required: true
          schema:
            type: string
        - name: size_mib
          in: path
          description: 'Size of the image in MiB (default: 512, min: 512, max: 32768)'
          required: true
          schema:
            type:
              - integer
              - 'null'
            format: int32
      responses:
        '201':
          description: Image upload started
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadBaseImageResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '409':
          description: Image name already exists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '413':
          description: Upload too large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    UploadBaseImageResponse:
      type: object
      required:
        - job_id
        - image_name
        - status
      properties:
        image_name:
          type: string
        job_id:
          type: string
        status:
          type: string
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````